<?php 
require_once("../../includes/bootstrap.php");
$sesion=new sesion(); // inicio la sesion
if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$academia = bootstrap::initBd($sesion->getVar("anio"));

$sede=$_GET["sede"];
$jornada=$_GET["jorn"];
$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');

$sql = "SELECT
    view_datos_grupos.nom_grado
    , view_datos_grupos.$nombre_grupo as grupo
    , COUNT(aca_estudiantesxgrupos.cod_grupo) AS numest
FROM
    aca_estudiantesxgrupos INNER JOIN view_datos_grupos ON (aca_estudiantesxgrupos.cod_grupo = view_datos_grupos.cod_grupo) 
	where view_datos_grupos.cod_sede='$sede' AND view_datos_grupos.cod_jornada='$jornada' 
	GROUP BY aca_estudiantesxgrupos.cod_grupo ORDER BY view_datos_grupos.orden , grupo ASC ;";
//echo $sql;
$academia->instruccion($sql);
$datas=array();
$per=0;
$i=0;

while($reg=$academia->extraer_registro()){
	$x[]=$reg["nom_grado"] . " " .$reg["grupo"] ;
	$y[]=(int)$reg["numest"];

	$i++;
}
$datas['series'][0]["name"]="Grupos";
$datas['series'][0]["data"]=$y;
$datas['category']=$x;


echo json_encode($datas);


?>